Look up a live Instagram post or reel
curl --request GET \
--url https://api.creatoraudit.com/v2/live/instagram/post \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creatoraudit.com/v2/live/instagram/post"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creatoraudit.com/v2/live/instagram/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"external_id": "456",
"platform": "instagram",
"type": "live_post",
"url": "https://www.instagram.com/p/AbC/"
},
"meta": {
"cached": false,
"fetched_at": "2024-01-01T00:00:00Z",
"warnings": []
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}Live Instagram
Look up a live Instagram post or reel
Fetch one public post/reel. Unknown metrics remain null, not zero.
GET
/
live
/
instagram
/
post
Look up a live Instagram post or reel
curl --request GET \
--url https://api.creatoraudit.com/v2/live/instagram/post \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creatoraudit.com/v2/live/instagram/post"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creatoraudit.com/v2/live/instagram/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"external_id": "456",
"platform": "instagram",
"type": "live_post",
"url": "https://www.instagram.com/p/AbC/"
},
"meta": {
"cached": false,
"fetched_at": "2024-01-01T00:00:00Z",
"warnings": []
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}Authorizations
Query Parameters
Response
Successful Response